Page MenuHomePhabricator

[Task] Adjustable speed of speech (Wikispeech)
Closed, ResolvedPublic2 Estimated Story Points

Description

Reading speed of text-to-speech can be adjusted according to personal preferences
License: MIT/GPL
Existing: Partially, https://github.com/westonruter/html5-audio-read-along
To do: Speed can be changed in the browser through HTML5MediaElement.playbackRate. Other user settings must be defined and implemented.

Identified as a component during the pilot study.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 1:35 PM
Jopparn renamed this task from [Task] Vary speed to [Task] Vary speed of recitation (Wikispeech).Apr 28 2016, 6:53 AM
HannaLindgren triaged this task as Low priority.May 9 2016, 9:05 AM
HannaLindgren added a project: Wikispeech-STTS.
NikolajLindberg renamed this task from [Task] Vary speed of recitation (Wikispeech) to [Task] Adjust speed of speech (Wikispeech).May 10 2016, 9:04 AM
NikolajLindberg updated the task description. (Show Details)
NikolajLindberg renamed this task from [Task] Adjust speed of speech (Wikispeech) to [Task] Adjustable speed of speech (Wikispeech).May 10 2016, 9:09 AM

There should probably be controls for this by default in the player, as it is something that some users will want to change easily. Changing speed while playing would also be helpful.

Jopparn set the point value for this task to 8.

It's worth separating the mechanisms needed to actually deal with sped up recitation and the mechanism(s) for triggering it.

In a first implementation the triggering mechanisms could be limited to doing it from the player interface. Storing the default player speed can be left to later (when we introduce a settings page). A global config setting could be implemented before to prepare the way.

As a result some parts might be broken out of this task.

Change 427325 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Add preference for speech rate

https://gerrit.wikimedia.org/r/427325

Sebastian_Berlin-WMSE changed the point value for this task from 8 to 2.Sep 3 2018, 5:38 AM

Change 427325 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Add preference for speech rate

https://gerrit.wikimedia.org/r/427325

Sebastian_Berlin-WMSE closed this task as Resolved.Sep 18 2018, 5:27 AM
Sebastian_Berlin-WMSE claimed this task.